#include "NodeLinkLibrary.h"

namespace cosi {

NodeLinkLibrary::NodeLinkLibrary() {
}

NodeLinkLibrary::NodeLinkLibrary(string pName) {
	mName = pName ;
}

NodeLinkLibrary::~NodeLinkLibrary() {
}

string NodeLinkLibrary::GetName() {
	return mName ;
}

void NodeLinkLibrary::SetName(string pName) {
	mName = pName ;
}

void NodeLinkLibrary::AddNode(Node pN) {
	mNodes[ pN.GetName()] = pN ;
}

void NodeLinkLibrary::AddLink(Link pL) {
	mLinks[pL.GetName()] = pL ;
}

void NodeLinkLibrary::AddBiLink(string pName, Link pL1, Link pL2) {
	BiLink L;
	L.L1(pL1 ) ;
	L.L2(pL2 ) ;
	L.SetName(pName ) ;
	mBiLinks[pName] = L ;
}

void NodeLinkLibrary::AddBiLink(BiLink pL ) {
	mBiLinks[pL.GetName()] = pL ;
}



}
